//waterfall

textures/wwj/waterfall
{
    q3map_surfacelight 50
    q3map_backsplash 0 0
    surfaceparm noimpact
    surfaceparm water
    surfaceparm trans
    cull none
    
    {
        map textures/wwj/waterfall.tga
        blendFunc blend
        tcmod scroll 0 -2.5
    }
}

//vitre

textures/wwj/chrome
{
    qer_editorimage textures/wwj/chrome.tga
    surfaceparm nodamage
    surfaceparm nolightmap
    surfaceparm detail
    surfaceparm trans
    cull disable
    qer_trans 0.5
    {
        map textures/wwj/chrome.tga
        blendfunc add
        tcGen environment 
    }
}



//Cam
textures/wwj/camera
{
	qer_editorimage textures/wwj/camera.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/wwj/camera.tga
 		blendFunc GL_ONE GL_ONE
		depthWrite
		alphaGen portal 2048
    }
}

//Brume

textures/wwj/fog
{
	fogParms ( 0.20 0.20 0.20 ) 2900	//Normalized RGB, distance to opaque 104 130 25

	surfaceparm fog		//Must be used
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans

	
	qer_trans 0.4
}

//No Draw

textures/wwj/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
      surfaceparm nonsolid
}


//Skies
textures/wwj/wwjsky1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sun .94 .91 .95 400 180 60
	q3map_surfacelight 400
	q3map_lightsubdivide 512

	skyparms textures/wwj_sky/aa - -

}

textures/wwj/wwjsky2
{
	qer_editorimage env/wwj/grimmnight_up.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	//q3map_sun .94 .91 .95 400 180 60
	q3map_surfacelight 400
	q3map_lightsubdivide 512

	skyparms env/wwj/grimmnight - -

}







//Water
textures/wwj/waterfall_1
{
	qer_editorimage textures/wwj/waterfall.tga
	surfaceparm noimpact
	surfaceparm water
	surfaceparm nolightmap
	cull none
	{
		map textures/wwj/waterfall.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcmod scroll 0 2.5
	}
}

textures/wwj/clear_ripple1
	{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		cull disable
		
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

}

textures/wwj/clear_ripple1PTVG
	{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}

}


//Walls etc

textures/wwj/kentoh
{
    surfaceparm nodamage
    {
        map textures/wwj/kentoh.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/paille1
{
    surfaceparm nodamage
    {
        map textures/wwj/paille1.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/paille2
{
    surfaceparm nodamage
    {
        map textures/wwj/paille2.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/bois
{
    surfaceparm nodamage
    {
        map textures/wwj/bois.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/rocks
{
    surfaceparm nodamage
    {
        map textures/wwj/rocks.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/rockss
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/wwj/rocks.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/rocks_2
{
    surfaceparm nodamage
    {
        map textures/wwj/rocks_2.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/rocks_2s
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/wwj/rocks_2s.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}


textures/wwj/rocks_3
{
    surfaceparm nodamage
    {
        map textures/wwj/rocks_3.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/rocks_3s
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/wwj/rocks_3.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}


textures/wwj/rocks_4
{
    surfaceparm nodamage
    {
        map textures/wwj/rocks_4.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/rocks_4s
{
    surfaceparm nodamage
	surfaceparm slick
    {
        map textures/wwj/rocks_4s.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}


textures/wwj/rocks_5b
{
    surfaceparm nodamage
    {
        map textures/wwj/rocks_5b.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/rocks_5bs
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/wwj/rocks_5b.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}


textures/wwj/snow_2
{
    surfaceparm nodamage
    {
        map textures/wwj/snow_2.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/snow_2s
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/wwj/snow_2.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/snow_2_m
{
    surfaceparm nodamage
    {
        map textures/wwj/snow_2_m.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/snow_2_ms
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/wwj/snow_2_m.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/snow_m
{
    surfaceparm nodamage
    {
        map textures/wwj/snow_m.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/snow_ms
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/wwj/snow_m.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/PlanksFloor512
{
    surfaceparm nodamage
    {
        map textures/wwj/PlanksFloor512.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/PlanksFloor512s
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/wwj/PlanksFloor512.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/marbre
{
    surfaceparm nodamage
    {
        map textures/wwj/marbre.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/marbres
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/wwj/marbre.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/column
{
    surfaceparm nodamage
    {
        map textures/wwj/column.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/column2
{
    surfaceparm nodamage
    {
        map textures/wwj/column2.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}



textures/wwj/friz
{
    surfaceparm nodamage
    {
        map textures/wwj/friz.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}
textures/wwj/toit
{
    surfaceparm nodamage
    {
        map textures/wwj/toit.jpg
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/cretebase
{
    surfaceparm nodamage
    {
        map textures/wwj/cretebase.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/cretebases
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/wwj/cretebase.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/cretebase2
{
    surfaceparm nodamage
    {
        map textures/wwj/cretebase2.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/cretebase2s
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/wwj/cretebase2.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/cretebase3
{
    surfaceparm nodamage
    {
        map textures/wwj/cretebase3.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/cretebase3s
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/wwj/cretebase3.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/cretebase4
{
    surfaceparm nodamage
    {
        map textures/wwj/cretebase4.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/wwj/cretebase4s
{
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/wwj/cretebase4.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}



